# Class FAttachment

Attachment is a file directly tied into a note without being a hidden child.

- Defined in src/public/app/entities/fattachment.ts:19

##### Index

### Constructors

constructor

### Properties

attachmentId
contentLength
isProtected
mime
ownerId
role
title
utcDateModified
utcDateScheduledForErasureSince

### Methods

getBlob
getNote
update

## Constructors

### constructor

- new FAttachment(froca: Froca , row: FAttachmentRow ): FAttachment

  #### Parameters

  - froca: Froca
  - row: FAttachmentRow

  #### Returns FAttachment

  - Defined in src/public/app/entities/fattachment.ts:35

## Properties

### attachmentId

attachmentId: string

- Defined in src/public/app/entities/fattachment.ts:21

### contentLength

contentLength: number

optionally added to the entity

- Defined in src/public/app/entities/fattachment.ts:33

### isProtected

isProtected: boolean

- Defined in src/public/app/entities/fattachment.ts:26

### mime

mime: string

- Defined in src/public/app/entities/fattachment.ts:24

### ownerId

ownerId: string

- Defined in src/public/app/entities/fattachment.ts:22

### role

role: string

- Defined in src/public/app/entities/fattachment.ts:23

### title

title: string

- Defined in src/public/app/entities/fattachment.ts:25

### utcDateModified

utcDateModified: string

- Defined in src/public/app/entities/fattachment.ts:28

### utcDateScheduledForErasureSince

utcDateScheduledForErasureSince: string

- Defined in src/public/app/entities/fattachment.ts:29

## Methods

### getBlob

- getBlob(): Promise<null | void | default >

  #### Returns Promise<null | void | default >

  - Defined in src/public/app/entities/fattachment.ts:60

### getNote

- getNote(): FNote

  #### Returns FNote

  - Defined in src/public/app/entities/fattachment.ts:56

### update

- update(row: FAttachmentRow ): void

  #### Parameters

  - row: FAttachmentRow

  #### Returns void

  - Defined in src/public/app/entities/fattachment.ts:42